#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	echo "override auto configure"
override_dh_prep:
	# convenience script
	install -Dm644 init-nvm.sh "usr/share/nvm/init-nvm.sh"
	# companion script which installs symlinks in NVM_DIR (see comment in script)
	install -Dm644 install-nvm-exec "usr/share/nvm/install-nvm-exec"
	# nvm itself
	install -Dm644 nvm.sh "usr/share/nvm/nvm.sh"
	# nvm-exec script for 'nvm exec' command
	install -Dm755 nvm-exec "usr/share/nvm/nvm-exec"
	# nvm-profile.sh to init nvm for each shell session
	install -Dm644 nvm-profile.sh "etc/profile.d/nvm-profile.sh"
	# bash completion should be auto by dh
#	install -Dm644 bash_completion "usr/share/nvm/bash_completion"
	# license
	install -Dm644 LICENSE.md "usr/share/licenses/nvm/LICENSE.md"
